import { AfterViewInit } from '@angular/core';
import { FormBuilder } from '@angular/forms';
import { NgxTreeService } from '../ngx-tree-dnd.service';
import { TreeModel, TreeConfig, TreeItemOptions } from '../models/tree-view.model';
export declare class NgxTreeChildrenComponent implements AfterViewInit {
    private treeService;
    private fb;
    showError: boolean;
    config: TreeConfig;
    element: TreeModel;
    dragable: boolean;
    itemOptions: TreeItemOptions;
    childrensArray: TreeModel[];
    renameForm: any;
    setItem: TreeModel;
    constructor(treeService: NgxTreeService, fb: FormBuilder);
    enableSubscribers(): void;
    setOptions(options: any): void;
    setValue(item: any, options: any): void;
    createForm(): void;
    enableRenameMode(element: any): void;
    submitAdd(name: any, item: any): void;
    submitRename(item: any): void;
    onSubmitDelete(item: any): void;
    ngAfterViewInit(): void;
}
